NTDBTOOL(8)

NAME
ntdbtool - manipulate the contents NTDB files

SYNOPSIS

ntdbtool NTDBFILE [COMMANDS...]

DESCRIPTION

This tool is part of thesamba(1) suite.

ntdbtool a tool for displaying and altering the contents of Samba NTDB (New Trivial DataBase) files. Each of the commands listed below can be entered interactively or provided on the command line.

COMMANDS

create NTDBFILE
    Create a new database namedNTDBFILE.

open NTDBFILE
    Open an existing database namedNTDBFILE.

erase
    Erase the current database.

dump
    Dump the current database as strings.

cdump
    Dump the current database as connection records.

keys
    Dump the current database keys as strings.

hexkeys
    Dump the current database keys as hex values.

info
    Print summary information about the current database.

insert KEY DATA
    Insert a record into the current database.

move KEY NTDBFILE
    Move a record from the current database into NTDBFILE.

store KEY DATA
    Store (replace) a record in the current database.

show KEY
    Show a record by key.

delete KEY
    Delete a record by key.

list
    Print the current database hash table and free list.

free
    Print the current database and free list.

! COMMAND
    Execute the given system command.

first
    Print the first record in the current database.

next
    Print the next record in the current database.

check
    Check the integrity of the current database.

repack
    Repack a database using a temporary file to remove fragmentation.

quit
    Exit ntdbtool.

SEE ALSO

tdbtool(8)

CAVEATS

The contents of the Samba NTDB files are private to the implementation and should not be altered withntdbtool.

VERSION

This man page is correct for version 4.0 of the Samba suite.

AUTHOR

The original Samba software and related utilities were created by Andrew Tridgell. Samba is now developed by the Samba Team as an Open Source project similar to the way the Linux kernel is developed.